---
root_directory: "/e"
dest_directory: "/backup/nfs"

exclude_patterns:
    # Cache
    - '.*/\.?[Cc]ache/.*'
    # Node.js
    - '.*/\.npm/.*'
    - '.*/node_modules/.*'
    # Firefox
    - '.*/\.mozilla/firefox/.*'
    # Ruby
    - '.*/\.gem/.*'
    # Python
    - '.*/python[0-9.]*/site-packages/.*'
    # Machine Learning
    - '.*/\.keras/.*'
    - '.*/\.theano/.*'
    # Haskell
    - '.*/\.cabal/.*'
    # Gnome
    - '.*/\.local/share/tracker/.*'
    - '.*/\.local/share/zeitgeist/.*'

subdirectory_expansions:
    alumni_bebi_master: true
    alumni_bebi_phd:    true
    alumni_inm_master:  true
    alumni_inm_phd:     true
    alumni_master:      true
    alumni_phd:         true
    alumni_undergrad:   true
    bebi_master:        true
    bebi_phd:           true
    council:            false
    course:             false
    dept:               true
    faculty:            false
    inm_master:         true
    inm_phd:            true
    master:             true
    os:                 true
    phd:                true
    phd:                true
    ra:                 false
    select:             false
    staff:              false
    ta:                 false
    undergrad:          true
    visiting:           false

incremental_backup_frequency:
    tier1: 1 # daily
    tier2: 3 # once every 3 day

# naiive bin packing ...
backup_tiers:
    tier1:
        # 1
        - - bebi_master
          - bebi_phd
          - course
        # 2
        - - inm_master
          - inm_phd
        # 3
        - - dept
          - ra
          - staff
        # 4
        - - phd
        # 5
        - - ta
        # 6
        - - master
        # 7
        - - council
        # 8
        - - undergrad
        # 9
        - - faculty
    tier2:
        # 1
        - - alumni_bebi_master
          - alumni_bebi_phd
        # 2
        - - select
        # 3
        - - visiting
        # 4
        - - os
        # 5
        - - alumni_inm_master
        # 6
        - - alumni_inm_phd
        # 7
        - - alumni_phd
        # 8
        - - alumni_master
        # 9
        - - alumni_undergrad
